//timescale 1 ns/10 ps;

module spimux_tb;

reg sck, copi, cs;
wire cipo;
wire [7:0] cmd;
wire [1:0] mcs;
reg [1:0] mcipo;

localparam per = 20; // ns

integer i;

spimux DUT (
	.sck(sck),
	.copi(copi),
	.cipo(cipo),
	.cs(cs),

	.mcipo(mcipo),
	.mcs(mcs),

	.cmd(cmd)
);

initial
begin
	$dumpfile("spimux_tb.vcd");
	$dumpvars();
	cs = 0;
	sck = 0;
	copi = 0;
	mcipo = 2'b10;
	#per;

	cs = 1; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	cs = 0; #per;

	cs = 1; #per;
	copi = 1; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;

	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	copi = 0; #per; sck = 1; #per; sck = 0; #per;
	cs = 0; #per;
end

endmodule
